2006-07-29  Bruno Haible  <bruno@clisp.org>

	* alloca.m4 (gl_PREREQ_ALLOCA): Add a dummy statement. Avoids a sh
	syntax error.

2006-07-29  Bruno Haible  <bruno@clisp.org>

	* relocatable.m4: Add comments.

2006-07-23  Bruno Haible  <bruno@clisp.org>

	* openmp.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2006-07-23  Bruno Haible  <bruno@clisp.org>

	* tls.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2006-07-22  Bruno Haible  <bruno@clisp.org>

	* gl_list.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2006-07-22  Bruno Haible  <bruno@clisp.org>

	* strtol.m4: Update from gnulib.
	* strtoul.m4: Update from gnulib.

	* strerror_r.m4: Update from gnulib.

	* stdbool.m4: Update from gnulib.

	* minmax.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

	* mbswidth.m4: Update from gnulib.

	* wcwidth.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

	* getopt.m4: Update from gnulib.

	* fnmatch.m4: Update from gnulib.

	* error.m4: Update from gnulib.
	* extensions.m4: Update from gnulib.

2006-07-21  Bruno Haible  <bruno@clisp.org>

	* gettext-0.15 released.

2006-07-21  Bruno Haible  <bruno@clisp.org>

	* stdarg.m4: Update from gnulib.

2006-07-21  Bruno Haible  <bruno@clisp.org>

	* javacomp.m4 (gt_JAVACOMP): Convert target_version "null" to "1.1".

2006-07-19  Bruno Haible  <bruno@clisp.org>

	* getline.m4 (AM_FUNC_GETLINE): When cross-compiling, assume that
	getline works on glibc2 systems. Needed to avoid trouble in
	relocatable.c.
	Reported by Nils Magnus Larsgard <nmlarsgaard@atmel.no>.

2006-06-28  Bruno Haible  <bruno@clisp.org>

	Assume <dirent.h> on all Unix platforms. Assume closedir works.
	* backupfile.m4 (gt_PREREQ_BACKUPFILE): Don't invoke AC_HEADER_DIRENT,
	AC_FUNC_CLOSEDIR_VOID. Instead test for dirent.h.

2006-06-27  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (aclocal_DATA): Remove isc-posix.m4.

2006-06-27  Bruno Haible  <bruno@clisp.org>

	Assume correct S_ISDIR macro.
	* tmpdir.m4 (gt_TMPDIR): Remove AC_STAT_MACROS_BROKEN invocation.

2006-06-27  Bruno Haible  <bruno@clisp.org>

	Assume working 'const'.
	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Remove AC_C_CONST invocation.

2006-06-27  Bruno Haible  <bruno@clisp.org>

	* setlocale.m4 (gt_SETLOCALE): Assume <locale.h> exists.

2006-04-14  Bruno Haible  <bruno@clisp.org>

	Assume autoconf >= 2.60.
	* Makefile.am (docdir): Remove variable.

2006-06-17  Bruno Haible  <bruno@clisp.org>

	* setenv.m4 (gl_PREREQ_SETENV, gl_PREREQ_UNSETENV): Remove test
	whether errno is declared. Assume <errno.h> declares errno.

2006-06-15  Eric Blake  <ebb9@byu.net>

	* ssize_t.m4 (gt_TYPE_SSIZE_T): Work in spite of -Werror.

2006-06-04  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (aclocal_DATA): Remove inttypes.m4, add inttypes-h.m4.

2006-06-04  Bruno Haible  <bruno@clisp.org>

	* locale-fr.m4 (gt_LOCALE_FR): Require AM_LANGINFO_CODESET. Verify
	that nl_langinfo(CODESET) is nonempty. Set LC_CTYPE to empty for the
	test.
	(gt_LOCALE_FR_UTF8): Likewise.
	Needed for MacOS X 10.3.x, to make the lang-tcl test work.

2006-05-30  Ralf Wildenhues  <Ralf.Wildenhues@gmx.de>

	* regex.m4 (gl_INCLUDED_REGEX): Fix M4 underquoting.

2006-04-30  Bruno Haible  <bruno@clisp.org>

	* relocatable.m4 (AC_RELOCATABLE): Also test for availability of
	<unistd.h>, <mach-o/dyld.h>. _NSGetExecutablePath.

2006-05-09  Bruno Haible  <bruno@clisp.org>

	* javaexec.m4 (gt_JAVAEXEC): On Cygwin, set CLASSPATH_SEPARATOR to a
	semicolon.
	* javacomp.m4 (gt_JAVACOMP): Likewise. Use CLASSPATH_SEPARATOR for
	the conftestver execution.

2006-04-30  Bruno Haible  <bruno@clisp.org>

	* stdarg.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2006-05-01  Bruno Haible  <bruno@clisp.org>

	* javacomp.m4 (gt_JAVACOMP): Accept a source-version and an optional
	target-version argument. Verify that the compiler groks source of the
	specified source-version, or add -source option as necessary. Verify
	that the compiler produces bytecode in the specified target-version,
	or add -target and -source options as necessary. Make the result of
	the test available as variable CONF_JAVAC. Also log error output in
	config.log.

2006-04-23  Bruno Haible  <bruno@clisp.org>

	* unistd_h.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2006-04-14  Bruno Haible  <bruno@clisp.org>

	Prepare for autoconf-2.60.
	* regex.m4 (gl_INCLUDED_REGEX): Include <stdlib.h>, for exit()
	declaration.

2006-03-12  Bruno Haible  <bruno@clisp.org>

	* javaexec.m4 (gt_JAVAEXEC): Make the result of the test available as
	variable CONF_JAVA, for subsequent autoconf tests. Also log error
	output in config.log.

2006-03-11  Bruno Haible  <bruno@clisp.org>

	* javacomp.m4 (gt_JAVACOMP): Treat gcj-4.x like gcj-3.x.

2005-12-04  Bruno Haible  <bruno@clisp.org>

	* csharpexec.m4 (gt_CSHARPEXEC): Add support for 'clix' launcher
	(untested).

2005-12-04  Bruno Haible  <bruno@clisp.org>

	* csharpcomp.m4 (gt_CSHARPCOMP): Also set CSHARPCOMPFLAGS.

2005-11-24  Bruno Haible  <bruno@clisp.org>

	Cygwin portability.
	* relocatable.m4 (AC_RELOCATABLE): Require AC_EXEEXT. Arrange to set
	RELOC_EXEEXT while invoking install-reloc.

2005-09-20  Bruno Haible  <bruno@clisp.org>

	* bison-i18n.m4: New file, from bison-2.1.
	* Makefile.am (EXTRA_DIST): Add it.

2005-08-23  Bruno Haible  <bruno@clisp.org>

	* byteswap.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add byteswap.m4.

2005-08-13  Bruno Haible  <bruno@clisp.org>

	* java.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2005-08-16  Bruno Haible  <bruno@clisp.org>

	* strcase.m4: Remove file.
	* Makefile.am (EXTRA_DIST): Remove it.

2005-07-24  Bruno Haible  <bruno@clisp.org>

	Tidy up exported symbols.
	* Makefile.am (aclocal_DATA): Add visibility.m4.

2005-07-16  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (aclocal_DATA): Add lock.m4.

2005-07-05  Bruno Haible  <bruno@clisp.org>

	* relocatable.m4 (AC_RELOCATABLE): On mingw, simply set
	SET_RELOCATABLE to a trivial value.

2005-07-05  Bruno Haible  <bruno@clisp.org>

	* mbrtowc.m4 (gl_FUNC_MBRTOWC): Upgrade to version from current
	autoconf CVS. Needed for mingw.

2005-05-01  Bruno Haible  <bruno@clisp.org>

	* csharpexec-test.exe: New file.
	* csharpexec.m4 (gt_CSHARPEXEC): Test whether the C# engine can execute
	it.
	* Makefile.am (examplesbuildaux_DATA, EXTRA_DIST): Add
	csharpexec-test.exe.

2005-05-01  Bruno Haible  <bruno@clisp.org>

	* csharpcomp.m4 (gt_CSHARPCOMP): Check that cscc can actually compile
	a trivial program.
	Reported by Pierre <pierre42d@9online.fr>.

2006-06-21  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.6 released.

2005-05-23  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.5 released.

2005-04-11  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.4 released.

2005-03-22  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (examplesbuildauxdir): Renamed from examplesconfigdir.
	(examplesbuildaux_DATA): Renamed from examplesconfig_DATA.

2005-03-14  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.3 released.

2005-03-01  Bruno Haible  <bruno@clisp.org>

	* exitfail.m4, getopt.m4, hard-locale.m4, memchr.m4, pathmax.m4:
	* quote.m4, quotearg.m4, regex.m4, restrict.m4, strdup.m4, strerror.m4:
	* xreadlink.m4: Update from gnulib.

2005-02-24  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.2 released.

2005-02-13  Bruno Haible  <bruno@clisp.org>

	* locale-fr.m4 (gt_LOCALE_FR): If no locale was found or if the OS is
	Darwin7, use 'none' instead of 'fr_FR'.
	(gt_LOCALE_FR_UTF8): New macro.

2005-02-13  Bruno Haible  <bruno@clisp.org>

	* strtoul.m4: New file, from gnulib.
	* strtol.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add strtol.m4, strtoul.m4.

2005-01-28  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4 (gl_FUNC_STPNCPY): Undo the replacement here. Because of
	AIX, the replacement has to be done only after <string.h> is included,
	therefore not in config.h. stpncpy.h does the replacement, and
	stpncpy.c uses it.

2005-01-19  Bruno Haible  <bruno@clisp.org>

	* alloca.m4, allocsa.m4, backupfile.m4, canonicalize.m4, csharpcomp.m4:
	* csharpexec.m4, csharp.m4, eaccess.m4, eealloc.m4, error.m4:
	* exitfail.m4, extensions.m4, fnmatch.m4, gcj.m4, getline.m4:
	* getndelim2.m4, getopt.m4, hard-locale.m4, hostname.m4, javacomp.m4:
	* javaexec.m4, libgrep.m4, locale-fr.m4, mbrtowc.m4, mbstate_t.m4:
	* mbswidth.m4, memchr.m4, mkdtemp.m4, onceonly.m4, pathmax.m4:
	* quotearg.m4, quote.m4, readlink.m4, relocatable.m4, restrict.m4:
	* setenv.m4, setlocale.m4, sig_atomic_t.m4, siginfo.m4:
	* signalblocking.m4, ssize_t.m4, stdbool.m4, stpncpy.m4, strcase.m4:
	* strdup.m4, strerror.m4, strerror_r.m4, tmpdir.m4, unionwait.m4:
	* unlocked-io.m4, xreadlink.m4:
	Use an all-permissive copyright notice, recommended by RMS.

2005-01-14  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4 (gl_FUNC_STPNCPY): Rename the replacement function to
	gnu_stpncpy. Needed for AIX.

2005-01-08  Bruno Haible  <bruno@clisp.org>

	* libgrep.m4: New file.
	* hard-locale.m4: New file, from gnulib.
	* memchr.m4: New file, from gnulib.
	* regex.m4: New file, from gnulib.
	* restrict.m4: New file, from gnulib.
	* strdup.m4: New file, from gnulib.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* strcase.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* stpncpy.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* error.m4: Upgrade from gnulib.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* quote.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add quote.m4.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* exitfail.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add exitfail.m4.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (EXTRA_DIST): Add getopt.m4.
	* getopt.m4: New file, from gnulib.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* fnmatch.m4: Upgrade from gnulib.

2005-01-06  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4: Upgrade to gnulib version.

2004-11-02  Bruno Haible  <bruno@clisp.org>

	* setenv.m4 (gt_FUNC_SETENV): Define VOID_UNSETENV if unsetenv()
	returns void.

2004-10-04  Paul Eggert  <eggert@cs.ucla.edu>

	* unlocked-io.m4: Add copyright notice.
	(gl_FUNC_GLIBC_UNLOCKED_IO): Define USE_UNLOCKED_IO.

2004-06-01  Paul Eggert  <eggert@cs.ucla.edu>

	* quotearg.m4: Fix copyright date and/or serial number.

2003-11-24  Bruno Haible  <bruno@clisp.org>

	* allocsa.m4 (gl_ALLOCSA): Require also gl_AC_TYPE_LONG_LONG and
	gt_TYPE_LONGDOUBLE.

2003-09-17  Paul Eggert  <eggert@twinsun.com>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Call AC_BEFORE first,
	to avoid spurious warnings like "AC_RUN_IFELSE was called before
	gl_USE_SYSTEM_EXTENSIONS" from autoreconf.

2003-09-12  Paul Eggert  <eggert@twinsun.com>

	* extensions.m4 (gl_USE_SYSTEM_EXTENSIONS): Require AC_AIX
	and AC_MINIX, too, so that their extensions are available.

2003-09-10  Bruno Haible  <bruno@clisp.org>

	* xreadlink.m4 (gl_XREADLINK): Remove <stdlib.h> check.

2003-09-10  Bruno Haible  <bruno@clisp.org>

	* setenv.m4 (gl_PREREQ_SETENV, gl_PREREQ_UNSETENV): Remove
	<stdlib.h> and <string.h> checks.

2004-04-26  Bruno Haible  <bruno@clisp.org>

	* csharpcomp.m4 (gt_CSHARPCOMP): Avoid using !.
	Reported by Alexandre Duret-Lutz.

2004-04-19  Bruno Haible  <bruno@clisp.org>

	* error.m4: Change jm_ to gl_ in AC_DEFINE'd names. Update all uses.

2004-04-19  Bruno Haible  <bruno@clisp.org>

	* mbrtowc.m4: Change jm_ to gl_ in cache variables as well.

2004-04-18  Jim Meyering  <jim@meyering.net>

	* mbswidth.m4: Change jm_ to gl_ in AC_DEFINE'd names. Update all uses.
	* mkdtemp.m4: Likewise.
	* unlocked-io.m4: Likewise.
	* quotearg.m4: Likewise.

2004-03-18  Paul Eggert  <eggert@twinsun.com>
            Bruno Haible  <bruno@clisp.org>

	* mbswidth.m4 (gl_MBSWIDTH): Also test whether <wchar.h> declares
	mbswidth.

2004-03-08  Bruno Haible  <bruno@clisp.org>

	* csharpcomp.m4 (gt_CSHARPCOMP): Test whether csc is not the chicken
	scheme's 'csc' compiler.
	Reported by Colin Marquardt <colin@marquardt-home.de>.

2004-01-18  Bruno Haible  <bruno@clisp.org>

	* csharp.m4 (gt_CSHARP_CHOICE): Drop extra quoting of the # sign.

2004-02-07  Bruno Haible  <bruno@clisp.org>

	* mbstate_t.m4: Update from gnulib.
	* mbswidth.m4: Invoke AC_TYPE_MBSTATE_T instead of AC_MBSTATE_T.
	* quotearg.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add quotearg.m4.

2004-02-02  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (aclocal_DATA): Add glibc2.m4.

2004-01-29  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14.1 released.

2004-01-29  Bruno Haible  <bruno@clisp.org>

	* csharpcomp.m4 (gt_CSHARPCOMP): Fix typo.

2004-01-28  Bruno Haible  <bruno@clisp.org>

	* gettext-0.14 released.

2004-01-10  Bruno Haible  <bruno@clisp.org>

	* csharp.m4: New file.
	* csharpcomp.m4 (gt_CSHARPCOMP): Require gt_CSHARP_CHOICE. Respect the
	CSHARP_CHOICE given by the --enable-csharp option.
	* csharpexec.m4 (gt_CSHARPEXEC): Require gt_CSHARP_CHOICE. Respect the
	CSHARP_CHOICE given by the --enable-csharp option.
	* Makefile.am (EXTRA_DIST): Add csharp.m4.

2003-12-26  Bruno Haible  <bruno@clisp.org>

	Support for C#.
	* csharpcomp.m4: New file.
	* csharpexec.m4: New file.
	* Makefile.am (examplesconfig_DATA): Add them.
	(EXTRA_DIST): Likewise.

2003-11-30  Bruno Haible  <bruno@clisp.org>

	* allocsa.m4: New file.
	* eealloc.m4: New file.
	* setenv.m4 (gl_PREREQ_SETENV): Require gl_ALLOCSA instead of
	AC_FUNC_ALLOCA.
	* Makefile.am (EXTRA_DIST): Add allocsa.m4, eealloc.m4.

2003-12-17  Bruno Haible  <bruno@clisp.org>

	* gettext-0.13.1 released.

2003-11-30  Bruno Haible  <bruno@clisp.org>

	* gettext-0.13 released.

2003-11-23  Bruno Haible  <bruno@clisp.org>

	* ssize_t.m4: New file, moved here from ../../gettext-runtime/m4/.
	* Makefile.am (aclocal_DATA): Remove ssize_t.m4.
	(EXTRA_DIST): Add ssize_t.m4.

2003-11-16  Bruno Haible  <bruno@clisp.org>

	* size_max.m4: Remove file, moved to ../../gettext-runtime/m4/.
	* ssize_t.m4: Remove file, moved to ../../gettext-runtime/m4/.
	* xsize.m4: Remove file, moved to ../../gettext-runtime/m4/.
	* Makefile.am (aclocal_DATA): Add size_max.m4, ssize_t.m4, xsize.m4.
	(EXTRA_DIST): Remove size_max.m4, ssize_t.m4, xsize.m4.

2003-11-15  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (docdir, examplesconfigdir, examplesconfig_DATA): New
	variables.

2003-11-09  Bruno Haible  <bruno@clisp.org>

	* javaexec.m4 (gt_JAVAEXEC): Accept two optional arguments, denoting
	a test class to execute.

2003-11-11  Bruno Haible  <bruno@clisp.org>

	* size_max.m4: New file, from gnulib.
	* xsize,m4 (gl_XSIZE): Require gl_SIZE_MAX.
	* Makefile.am (EXTRA_DIST): Add size_max.m4.

2003-11-04  Bruno Haible  <bruno@clisp.org>

	* xsize.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2003-10-21  Bruno Haible  <bruno@clisp.org>

	* canonicalize.m4 (gl_PREREQ_CANONICALIZE): Also test for readlink().

2003-10-14  Bruno Haible  <bruno@clisp.org>

	* sig_atomic_t.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2003-10-04  Bruno Haible  <bruno@clisp.org>

	* flex.m4: Remove file.
	* Makefile.am (EXTRA_DIST): Remove it.

2003-09-04  Bruno Haible  <bruno@clisp.org>

	* locale-fr.m4 (gt_LOCALE_FR): Add support for Solaris 7.

2003-08-26  Bruno Haible  <bruno@clisp.org>

	* fnmatch.m4 (_AC_LIBOBJ_FNMATCH): Remove AC_DEFINE of fnmatch here.
	This avoids havoc on compilers for which '#define fnmatch rpl_fnmatch'
	followed by '#define fnmatch fnmatch_posix' gives an error.

2003-08-24  Bruno Haible  <bruno@clisp.org>

	* relocatable.m4 (AC_RELOCATABLE): Use $(host) instead of @host@,
	since the substitution of @host@ may occur before the substitution of
	@SET_RELOCATABLE@.

2002-12-24  Bruno Haible  <bruno@clisp.org>

	* mbswidth.m4 (gl_MBSWIDTH): Renamed from jm_PREREQ_MBSWIDTH. Use
	onceonly macros.

2002-12-17  Bruno Haible  <bruno@clisp.org>

	* mbswidth.m4 (jm_PREREQ_MBSWIDTH): Remove checks for limits.h,
	stdlib.h, string.h.

2003-02-17  Bruno Haible  <bruno@clisp.org>

	* mkdtemp.m4 (gl_PREREQ_MKDTEMP): New macro.
	(gt_FUNC_MKDTEMP): Invoke it. Invoke jm_AC_TYPE_UINTMAX_T instead of
	just jm_AC_HEADER_INTTYPES_H and jm_AC_HEADER_STDINT_H.

2003-08-23  Bruno Haible  <bruno@clisp.org>

	* getline.m4: Update from gnulib.
	* getndelim2.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add getndelim2.m4.

2003-08-23  Bruno Haible  <bruno@clisp.org>

	* fnmatch.m4: Replace with the version from gnulib.

2002-12-24  Bruno Haible  <bruno@clisp.org>

	* setenv.m4 (gt_FUNC_SETENV): New macro.
	(gt_CHECK_VAR_DECL): Fix quoting error that led to infinite loop in m4
	when invoked twice.
	(gt_PREREQ_SETENV, gt_PREREQ_UNSETENV): New macros, replacing old
	gt_FUNC_SETENV.

2003-08-23  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4: Replace with the version from gnulib, without
	AC_HEADER_STDBOOL.

2003-08-23  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (EXTRA_DIST): Add extensions.m4.

2003-08-08  Paul Eggert  <eggert@twinsun.com>

	* extensions.m4: New file.
	* unlocked-io.m4 (jm_FUNC_GLIBC_UNLOCKED_IO):
	Require gl_USE_SYSTEM_EXTENSIONS rather than AC_GNU_SOURCE.

2003-07-01  Paul Eggert  <eggert@twinsun.com>

	* xreadlink.m4 (gl_XREADLINK): Don't check for sys/types.h, since
	xreadlink.c now includes it unconditionally.

2003-08-16  Paul Eggert  <eggert@twinsun.com>

	* readlink.m4 (gl_PREREQ_READLINK): Renamed from gl_PREREQ_READLINE,
	fixing a typo.

2003-07-01  Bruno Haible  <bruno@clisp.org>

	* readlink.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2003-07-01  Bruno Haible  <bruno@clisp.org>

	* ssize_t.m4 (gt_TYPE_SSIZE_T): Don't include <unistd.h>. <sys/types.h>
	should be sufficient.
	Reported by Paul Eggert.

2003-07-01  Bruno Haible  <bruno@clisp.org>

	* backupfile.m4 (gt_PREREQ_BACKUPFILE): Remove limits.h check.

2003-05-28  Paul Eggert  <eggert@twinsun.com>

	* pathmax.m4 (gl_PATHMAX): Don't check for limits.h.
	* xreadlink.m4 (gl_XREADLINK): Likewise.

2003-06-22  Bruno Haible  <bruno@clisp.org>

	Portability to mingw32.
	* ssize_t.m4 (gt_TYPE_SSIZE_T): Test for unistd.h.
	* xreadlink.m4 (gl_XREADLINK): Require gt_TYPE_SSIZE_T.
	Reported by Jeff Bonggren <jbon@cfl.rr.com>.

2003-06-19  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (aclocal_DATA): Add intmax.m4, longdouble.m4,
	longlong.m4, printf-posix.m4, signed.m4, wchar_t.m4, wint_t.m4.

2003-06-19  Bruno Haible  <bruno@clisp.org>

	* locale-fr.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2003-05-22  Bruno Haible  <bruno@clisp.org>

	* gettext-0.12.1 released.

2003-05-17  Bruno Haible  <bruno@clisp.org>

	* gettext-0.12 released.

2003-05-09  Bruno Haible  <bruno@clisp.org>

	* strerror_r.m4: New file, from gnulib.
	* unlocked-io.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add them.

2003-04-29  Bruno Haible  <bruno@clisp.org>

	* Makefile.am (aclocal_DATA): Add nls.m4 and po.m4.

2003-04-10  Bruno Haible  <bruno@clisp.org>

	* eaccess.m4: New file.
	* Makefile.am (EXTRA_DIST): Add it.

2003-04-06  Bruno Haible  <bruno@clisp.org>

	* relocatable.m4 (AC_RELOCATABLE_NOP): New macro.
	(AC_RELOCATABLE_LIBRARY): Use it.

2003-04-05  Bruno Haible  <bruno@clisp.org>

	* canonicalize.m4 (gl_CANONICALIZE): Use AC_CHECK_FUNCS, so that
	HAVE_CANONICALIZE_FILE_NAME gets defined.
	* error.m4 (jm_PREREQ_ERROR): New macro.
	(gt_FUNC_ERROR_AT_LINE): Invoke it.

2003-04-05  Bruno Haible  <bruno@clisp.org>

	* relocatable.m4 (AC_RELOCATABLE_LIBRARY): Use the final value of
	${prefix}, not the current value.

2003-03-18  Bruno Haible  <bruno@clisp.org>

	* onceonly.m4: Update from gnulib.

2003-02-28  Bruno Haible  <bruno@clisp.org>

	Support for relocatable installation.
	* canonicalize.m4: New file.
	* relocatable.m4: New file.
	* strerror.m4: New file.
	* xreadlink.m4: New file.
	* Makefile.am (EXTRA_DIST): Add them.

2003-02-28  Bruno Haible  <bruno@clisp.org>

	* pathmax.m4: New file, from gnulib.
	* Makefile.am (EXTRA_DIST): Add it.

2003-02-22  Bruno Haible  <bruno@clisp.org>

	* flex.m4 (gt_PROG_LEX): Remove LEX_OUTPUT_ROOT setting, not needed
	any more with automake-1.7.2.

2003-02-19  Bruno Haible  <bruno@clisp.org>

	* stdbool.m4 (gt_STDBOOL_H): Also test for usability of 'bool' in
	declarations. Needed for HP-UX 11 cc.

2003-02-12  Bruno Haible  <bruno@clisp.org>

	* Makefile.am: Update for new directory structure.
	(EXTRA_DIST): Add ChangeLog.0.


See ChangeLog.0 for earlier changes.
